Subject: Re: cpu power "management" for non-dfs chips with no pmu (for instance, 750cxe and mpc7447 in pegasos)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 28 Jun 2006 08:47:24 +1000

> > ICTC is such a simple thing to support and you can slow down the CPU
> > pretty comprehensively (from halving to 255x in theory) with an on and
> > off flag. I am surprised nobody implemented a cpufreq governer even if
> > it is totally useless and gives no perceivable benefits..
> 
> See?  You _are_ contributing already.  I encourage
> you to hit the [email-masked] list for a spell!

His question is very powerpc specific... I don't see the point of
bringing ICTC related discussions to linux-pm...

Now, we _did_ some experiemnts in the past and didn't see that much
improvements. That might have changed though, since those 744x/745x CPUs
cannot DOZE and we cannot use their NAP mode neither when idle on
Pegasdos, in which case ICTC might have some use there...

It's easy to tweak it, just test and tell us. I'm not sure if cpufreq is
the right interface though as the cpu frequency isn't actually changing.

Ben.